Scoped CSS в ExtJS 4.2+

У ExtJS есть плохая черта: он может перекрывать CSS-правила сайта даже не для ExtJS-виджетов. Например, использовать ExtJS с Twitter Bootstrap может быть достаточно проблематично. Для решения данной проблемы существует scoped-версия ExtJS CSS, которая идёт в комплекте. Однако, с версии 4.2 файл пропал. Как же жить дальше?

Оказывается, убрали его за “ненадобностью”.

Такие пироги.

Written on April 30, 2013